Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: qtlocation-everywhere-src
Source: https://download.qt.io/official_releases/qt/*/submodules/
Files-Excluded: src/3rdparty/mapbox-gl-native/deps/boost

Files: *
Copyright: 2015-2019 The Qt Company Ltd.
           2015-2016 Jolla Ltd.
           2013-2016 Aaron McCarthy <mccarthy.aaron@gmail.com>
License: LGPL-3 or GPL-2

Files: src/plugins/geoservices/mapbox/*
Copyright: 2014 Canonical Ltd.
           2017 Mapbox, Inc.
License: LGPL-3 or GPL-2

Files: src/plugins/geoservices/mapbox/qgeoroutereplymapbox.*
       src/plugins/geoservices/mapbox/qgeoroutingmanagerenginemapbox.*
Copyright: 2016 Vlad Seryakov <vseryakov@gmail.com>
           2016 Aaron McCarthy <mccarthy.aaron@gmail.com>
License: LGPL-3 or GPL-2

Files: src/plugins/geoservices/mapboxgl/*
Copyright: 2017 The Qt Company Ltd.
           2017 Mapbox, Inc.
License: LGPL-3 or GPL-2

Files: src/plugins/geoservices/nokia/qgeomapversion.*
Copyright: 2014 Appello Systems AB
License: LGPL-3 or GPL-2

Files: src/plugins/geoservices/esri/*
Copyright: 2013-2018 Esri <contracts@esri.com>
License: LGPL-3 or GPL-2

Files: src/plugins/position/geoclue2/*
Copyright: 2018 Denis Shienkov <denis.shienkov@gmail.com>
License: LGPL-3 or GPL-2

Files: src/location/labs/qgeojson*
Copyright: 2019 Julian Sherollari <jdotsh@gmail.com>
           2019 The Qt Company Ltd.
License: LGPL-3 or GPL-2

Files: src/location/declarativemaps/qdeclarativecirclemapitem_p_p.h
       src/location/declarativemaps/qdeclarativegeomapitemutils.cpp
       src/location/declarativemaps/qdeclarativegeomapitemutils_p.h
       src/location/declarativemaps/qdeclarativepolygonmapitem_p_p.h
       src/location/declarativemaps/qdeclarativepolylinemapitem_p_p.h
       src/location/declarativemaps/qdeclarativerectanglemapitem_p_p.h
Copyright: 2020 Paolo Angelelli <paolo.angelelli@gmail.com>
           2020 The Qt Company Ltd.
License: LGPL-3 or GPL-2

Files: src/location/declarativemaps/qgeosimplify.cpp
       src/location/declarativemaps/qgeosimplify_p.h
Copyright: 2017 Daniel Patterson
           2020 Paolo Angelelli <paolo.angelelli@gmail.com>
           2020 The Qt Company Ltd.
License: LGPL-3 or GPL-2

Files: examples/*
       src/location/doc/snippets/*
       src/positioning/doc/snippets/*
Copyright: 2017 The Qt Company Ltd.
License: BSD-3-clause

Files: examples/location/geojson_viewer/*
Copyright: 2019 Julian Sherollari <jdotsh@gmail.com>
           2019 The Qt Company Ltd.
License: BSD-3-clause

Files: config.tests/*
       tests/*
Copyright: 2016-2020 The Qt Company Ltd.
License: GPL-3 with Qt-1.0 exception

Files: tests/auto/qnmeapositioninfosource/tst_qnmeapositioninfosource.cpp
Copyright: 2016 Jolla Ltd.
           2016 The Qt Company Ltd.
License: GPL-3 with Qt-1.0 exception

Files: tests/auto/qproposedsearchresult/tst_qproposedsearchresult.cpp
Copyright: 2016 Aaron McCarthy <mccarthy.aaron@gmail.com>
License: GPL-3 with Qt-1.0 exception

Files: *.qdoc
Copyright: 2017-2019 The Qt Company Ltd.
License: GFDL-NIV-1.3

Files: src/location/doc/src/plugins/esri.qdoc
Copyright: 2013-2018 Esri <contracts@esri.com>
License: GFDL-NIV-1.3

Files: src/location/doc/src/plugins/mapbox.qdoc
Copyright: 2014 Canonical Ltd.
License: GFDL-NIV-1.3

Files: src/location/doc/src/plugins/mapboxgl.qdoc
Copyright: 2017 The Qt Company Ltd.
           2017 Mapbox, Inc.
           2014 Canonical Ltd
License: GFDL-NIV-1.3

Files: src/location/doc/src/plugins/osm.qdoc
Copyright: 2015 Aaron McCarthy <mccarthy.aaron@gmail.com>
License: GFDL-NIV-1.3

Files: src/3rdparty/clip2tri/*
Copyright: 2014 Bitfighter developers
License: Expat

Files: src/3rdparty/clipper/*
Copyright: 2010-2015 Angus Johnson
License: Boost-1.0

Files: src/3rdparty/geosimplify.js/*
Copyright: 2017 Daniel Patterson
License: BSD-2-clause

Files: src/3rdparty/mapbox-gl-native/*
Copyright: 2014-2017 Mapbox
License: BSD-2-clause

Files: src/3rdparty/mapbox-gl-native/deps/kdbush/*
Copyright: 2016 Vladimir Agafonkin
License: ISC

Files: src/3rdparty/mapbox-gl-native/deps/optional/*
Copyright: 2011-2012 Andrzej Krzemienski
License: Boost-1.0

Files: src/3rdparty/mapbox-gl-native/deps/geojson/*
       src/3rdparty/mapbox-gl-native/deps/geojsonvt/*
       src/3rdparty/mapbox-gl-native/deps/geometry/*
       src/3rdparty/mapbox-gl-native/deps/polylabel/*
       src/3rdparty/mapbox-gl-native/deps/shelf-pack/*
       src/3rdparty/mapbox-gl-native/deps/supercluster/*
       src/3rdparty/mapbox-gl-native/deps/vector-tile/*
Copyright: 2016-2017 Mapbox
License: ISC

Files: src/3rdparty/mapbox-gl-native/deps/rapidjson/*
Copyright: 2015 THL A29 Limited, a Tencent company
           2015 Milo Yip
License: Expat

Files: src/3rdparty/mapbox-gl-native/deps/tao_tuple/*
Copyright: 2015-2017 Daniel Frey
License: Expat

Files: src/3rdparty/mapbox-gl-native/deps/unique_resource/*
Copyright: 2015 Shintarou Okada
License: Boost-1.0

Files: src/3rdparty/mapbox-gl-native/deps/variant/*
Copyright: 2014-2017 Mapbox
License: BSD-3-clause

Files: src/3rdparty/mapbox-gl-native/deps/wagyu/*
Copyright: 2010-2015 Angus Johnson
           2016 Mapbox
License: Expat

Files: src/3rdparty/mapbox-gl-native/src/csscolorparser/*
Copyright: 2012 Dean McNamee
           2014 Konstantin Käfer
License: Expat

Files: src/3rdparty/mapbox-gl-native/src/parsedate/*
Copyright: 1998-2014 Daniel Stenberg, et al.
License: Expat

Files: src/3rdparty/mapbox-gl-native/vendor/nunicode/*
Copyright: 2013 Aleksey Tulinov <aleksey.tulinov@gmail.com>
License: Expat

Files: src/3rdparty/earcut/*
       src/3rdparty/mapbox-gl-native/deps/earcut/*
Copyright: 2015 Mapbox
License: ISC

Files: src/3rdparty/poly2tri/*
Copyright: 2009-2010 Poly2Tri Contributors
License: BSD-3-clause

Files: examples/positioning/weatherinfo/icons/weather-fog.png
       examples/positioning/weatherinfo/icons/weather-haze.png
       examples/positioning/weatherinfo/icons/weather-icy.png
       examples/positioning/weatherinfo/icons/weather-sleet.png
       examples/positioning/weatherinfo/icons/weather-sunny.png
       examples/positioning/weatherinfo/icons/weather-sunny-very-few-clouds.png
       examples/positioning/weatherinfo/icons/weather-thundershower.png
Copyright: DarKobra (C Stark)
License: public-domain

Files: examples/positioning/weatherinfo/icons/weather-few-clouds.png
       examples/positioning/weatherinfo/icons/weather-overcast.png
       examples/positioning/weatherinfo/icons/weather-showers.png
       examples/positioning/weatherinfo/icons/weather-snow.png
       examples/positioning/weatherinfo/icons/weather-storm.png
Copyright: Tango Project contributors
License: public-domain

Files: examples/location/geojson_viewer/GeoJsonDelegateMapObject.qml
Copyright: 2020 Paolo Angelelli <paolo.angelelli@gmail.com>
           2020 The Qt Company Ltd.
License: BSD-3-clause

Files: debian/*
Copyright: 2007-2012 Fathi Boudra <fabo@debian.org>
           2007-2012 Sune Vuorela <debian@pusling.com>
           2008-2012 Modestas Vainius <modax@debian.org>
           2007-2009 Ana Beatriz Guerrero Lopez <ana@debian.org>
           2005-2007 Brian Nelson <pyro@debian.org>
           2012 Timo Jyrinki <timo.jyrinki@canonical.com>
           2014 Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
           2014-2020 Dmitry Shachnev <mitya57@debian.org>
           2018 Simon Quigley <tsimonq2@ubuntu.com>
License: LGPL-3 or GPL-2

License: LGPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License version 3
 as published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 3 can be found in /usr/share/common-licenses/LGPL-3.

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 2 can be found in /usr/share/common-licenses/GPL-2.

License: GPL-3 with Qt-1.0 exception
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 3 can be found in /usr/share/common-licenses/GPL-3.
 .
 The Qt Company GPL Exception 1.0
 Exception 1:
 .
 As a special exception you may create a larger work which contains the
 output of this application and distribute that work under terms of your
 choice, so long as the work is not otherwise derived from or based on
 this application and so long as the work does not in itself generate
 output that contains the output from this application in its original
 or modified form.
 .
 Exception 2:
 .
 As a special exception, you have permission to combine this application
 with Plugins licensed under the terms of your choice, to produce an
 executable, and to copy and distribute the resulting executable under
 the terms of your choice. However, the executable must be accompanied
 by a prominent notice offering all users of the executable the entire
 source code to this application, excluding the source code of the
 independent modules, but including any changes you have made to this
 application, under the terms of this license.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
 .
 * Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in
   the documentation and/or other materials provided with the
   distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
 IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

License: BSD-3-clause
 You may use this file under the terms of the BSD license as follows:
 .
 "Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are
 met:
   * Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
   * Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in
     the documentation and/or other materials provided with the
     distribution.
   * Neither the name of The Qt Company Ltd and its Subsidiary(-ies) nor the
     names of its contributors may be used to endorse or promote products
     derived from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."

License: GFDL-NIV-1.3
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3
 or any later version published by the Free Software Foundation;
 with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
 .
 On Debian systems, the complete text of the GNU Free Documentation
 License version 1.3 can be found in /usr/share/common-licenses/GFDL-1.3.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in all
 copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.

License: Boost-1.0
 Permission is hereby granted, free of charge, to any person or organization
 obtaining a copy of the software and accompanying documentation covered by
 this license (the "Software") to use, reproduce, display, distribute,
 execute, and transmit the Software, and to prepare derivative works of the
 Software, and to permit third-parties to whom the Software is furnished to
 do so, all subject to the following:
 .
 The copyright notices in the Software and this entire statement, including
 the above license grant, this restriction and the following disclaimer,
 must be included in all copies of the Software, in whole or in part, and
 all derivative works of the Software, unless such copies or derivative
 works are solely in the form of machine-executable object code generated by
 a source language processor.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 DEALINGS IN THE SOFTWARE.

License: ISC
 Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.
 .
 THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
 REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
 INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
 LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
 OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 PERFORMANCE OF THIS SOFTWARE.

License: public-domain
 The icons in this repository are herefore released into the Public Domain.
